// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package commands

import (
	"github.com/jessevdk/go-flags"
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
	"strings"
)

func initCommands() {

	for n, h := range environment.Handlers.Executor {
		x := strings.Split(n, "-")

		var c *flags.Command

		for i, y := range x {

			if i == 0 {
				c = environment.State.FindCommand(y)
			} else {
				if c == nil {
					environment.ExitWithError(1, "Command %s not found", y)
				}

				c = c.Find(y)
			}

		}

		if c != nil {
			h.Init(c)
		}

	}

}
