// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package commands

import (
	"github.com/jessevdk/go-flags"
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
	"gitlab.schukai.com/oss/utilities/documentation-manager/translations"
)

const serverSymbol = "server"

func init() {

	h := environment.Handler{
		Init: initServer,
	}

	environment.Handlers.Executor[serverSymbol] = h

}

type ServerDefinition struct {
	Serve ServerServeDefinition `command:"serve" alias:"s"`
}

func initServer(command *flags.Command) {
	const text = "Server command"
	command.ShortDescription = translations.T.Sprintf(text)
	command.LongDescription = translations.T.Sprintf(text)
}
